%global flavor gcc32winthr

%global __strip %{_mingw32_strip}
%global __objdump %{_mingw32_objdump}
%global _use_internal_dependency_generator 0
%global __find_requires %{_mingw32_findrequires}
%global __find_provides %{_mingw32_findprovides}

%global oname globus-gsi-sysconfig
%global _name %(tr - _ <<< %{oname})

Name:		mingw32-%{oname}
Version:	2.2
Release:	1%{?dist}
Summary:	Globus Toolkit for MinGW - Globus GSI System Config Library

Group:		Development/Libraries
License:	ASL 2.0
URL:		http://www.globus.org/
#		Source is extracted from the globus toolkit installer:
#		wget -N http://www-unix.globus.org/ftppub/gt4/4.2.1/installers/src/gt4.2.1-all-source-installer.tar.bz2
#		tar -jxf gt4.2.1-all-source-installer.tar.bz2
#		mv gt4.2.1-all-source-installer/source-trees/gsi/sysconfig/source globus_gsi_sysconfig-2.2
#		cp -p gt4.2.1-all-source-installer/source-trees/core/source/GLOBUS_LICENSE globus_gsi_sysconfig-2.2
#		tar -zcf globus_gsi_sysconfig-2.2.tar.gz globus_gsi_sysconfig-2.2
Source:		%{_name}-%{version}.tar.gz
#		Fixes for mingw compilation:
#		http://bugzilla.globus.org/bugzilla/show_bug.cgi?id=6742
Patch0:		%{oname}-mingw.patch
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:	mingw32-globus-openssl >= 1
BuildRequires:	grid-packaging-tools
BuildRequires:	mingw32-globus-common >= 3
BuildRequires:	mingw32-globus-openssl-module
BuildRequires:	mingw32-globus-gsi-openssl-error
BuildRequires:	mingw32-globus-openssl >= 1
BuildRequires:	mingw32-globus-core >= 4
BuildRequires:	mingw32-filesystem
BuildRequires:	mingw32-gcc

%description
The Globus Toolkit is an open source software toolkit used for building Grid
systems and applications. It is being developed by the Globus Alliance and
many others all over the world. A growing number of projects and companies are
using the Globus Toolkit to unlock the potential of grids for their cause.

The %{name} package contains:
Globus GSI System Config Library

%prep
%setup -q -n %{_name}-%{version}
%patch0 -p1

%build
export GLOBUS_LOCATION=%{_mingw32_prefix}

# Remove files that should be replaced during bootstrap
rm -f doxygen/Doxyfile*
rm -f doxygen/Makefile.am
rm -f pkgdata/Makefile.am
rm -f globus_automake*
rm -rf autom4te.cache

# Remove flavor tags
for f in `find . -name Makefile.am` ; do
  sed -e 's!^flavorinclude_HEADERS!include_HEADERS!' \
      -e 's!\(lib[a-zA-Z_]*\)_$(GLOBUS_FLAVOR_NAME)\.la!\1.la!g' \
      -e 's!^\(lib[a-zA-Z_]*\)___GLOBUS_FLAVOR_NAME__la_!\1_la_!' -i $f
done
sed -e "s!<With_Flavors!<With_Flavors ColocateLibraries=\"no\"!" \
  -i pkgdata/pkg_data_src.gpt.in

%{_mingw32_datadir}/globus/globus-bootstrap.sh

%_mingw32_configure --with-flavor=%{flavor}

make %{?_smp_mflags}

%install
export GLOBUS_LOCATION=%{_mingw32_prefix}

rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

GLOBUSPACKAGEDIR=$RPM_BUILD_ROOT%{_mingw32_datadir}/globus/packages

# Generate pkg-config file from GPT metadata
mkdir -p $RPM_BUILD_ROOT%{_mingw32_libdir}/pkgconfig
%{_mingw32_datadir}/globus/mingw32-globus-gpt2pkg-config \
  pkgdata/pkg_data_%{flavor}_dev.gpt > \
  $RPM_BUILD_ROOT%{_mingw32_libdir}/pkgconfig/%{oname}.pc

# Install license file
mkdir -p $RPM_BUILD_ROOT%{_mingw32_docdir}/%{name}-%{version}
install -m 644 -p GLOBUS_LICENSE \
  $RPM_BUILD_ROOT%{_mingw32_docdir}/%{name}-%{version}

# Generate package filelists
cat $GLOBUSPACKAGEDIR/%{_name}/%{flavor}_rtl.filelist \
    $GLOBUSPACKAGEDIR/%{_name}/%{flavor}_dev.filelist \
  | sed s!^!%{_mingw32_prefix}! > package.filelist

%clean
rm -rf $RPM_BUILD_ROOT

%files -f package.filelist
%defattr(-,root,root,-)
%dir %{_mingw32_datadir}/globus/packages/%{_name}
%{_mingw32_libdir}/pkgconfig/%{oname}.pc
%{_mingw32_bindir}/libglobus_gsi_sysconfig-1.dll
%dir %{_mingw32_docdir}/%{name}-%{version}
%doc %{_mingw32_docdir}/%{name}-%{version}/GLOBUS_LICENSE

%changelog
* Wed May  6 2009 Mattias Ellert <mattias.ellert@fysast.uu.se> - 2.2-1
- Autogenerated
